Skip to main content
POST
/
context-documents
/
reviews
/
all
Review every canonical doc against the brain
curl --request POST \
  --url https://api.hyperspell.com/context-documents/reviews/all \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperspell.com/context-documents/reviews/all"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperspell.com/context-documents/reviews/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "reviews": [
    {
      "id": 123,
      "canonical_title": "<string>",
      "status": "<string>",
      "model": "<string>",
      "error": "<string>",
      "suggestion_count": 123,
      "evidence_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key or JWT User Token. If using an API Key, set the X-As-User header to act as a specific user. A JWT User Token is always scoped to a specific user.

Response

202 - application/json

Successful Response

reviews
ReviewResponse · object[]